# Record TCefRequest

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefRequest = record`

## Description

Structure used to represent a web request. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefRequest.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_capi.h">CEF source file: /include/capi/cef_request_capi.h (cef_request_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_read_only: function(self: PCefRequest): Integer; stdcall;`
| `get_url: function(self: PCefRequest): PCefStringUserFree; stdcall;`
| `set_url: procedure(self: PCefRequest; const url: PCefString); stdcall;`
| `get_method: function(self: PCefRequest): PCefStringUserFree; stdcall;`
| `set_method: procedure(self: PCefRequest; const method: PCefString); stdcall;`
| `set_referrer: procedure(self: PCefRequest; const referrer_url: PCefString; policy: TCefReferrerPolicy); stdcall;`
| `get_referrer_url: function(self: PCefRequest): PCefStringUserFree; stdcall;`
| `get_referrer_policy: function(self: PCefRequest): TCefReferrerPolicy; stdcall;`
| `get_post_data: function(self: PCefRequest): PCefPostData; stdcall;`
| `set_post_data: procedure(self: PCefRequest; postData: PCefPostData); stdcall;`
| `get_header_map: procedure(self: PCefRequest; headerMap: TCefStringMultimap); stdcall;`
| `set_header_map: procedure(self: PCefRequest; headerMap: TCefStringMultimap); stdcall;`
| `get_header_by_name: function(self: PCefRequest; const name: PCefString): PCefStringUserFree; stdcall;`
| `set_header_by_name: procedure(self: PCefRequest; const name, value: PCefString; overwrite: integer); stdcall;`
| `set_: procedure(self: PCefRequest; const url, method: PCefString; postData: PCefPostData; headerMap: TCefStringMultimap); stdcall;`
| `get_flags: function(self: PCefRequest): Integer; stdcall;`
| `set_flags: procedure(self: PCefRequest; flags: Integer); stdcall;`
| `get_first_party_for_cookies: function(self: PCefRequest): PCefStringUserFree; stdcall;`
| `set_first_party_for_cookies: procedure(self: PCefRequest; const url: PCefString); stdcall;`
| `get_resource_type: function(self: PCefRequest): TCefResourceType; stdcall;`
| `get_transition_type: function(self: PCefRequest): TCefTransitionType; stdcall;`
| `get_identifier: function(self: PCefRequest): UInt64; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_read_only: function(self: PCefRequest): Integer; stdcall;`
This item has no description.

| `get_url: function(self: PCefRequest): PCefStringUserFree; stdcall;`
This item has no description.

| `set_url: procedure(self: PCefRequest; const url: PCefString); stdcall;`
This item has no description.

| `get_method: function(self: PCefRequest): PCefStringUserFree; stdcall;`
This item has no description.

| `set_method: procedure(self: PCefRequest; const method: PCefString); stdcall;`
This item has no description.

| `set_referrer: procedure(self: PCefRequest; const referrer_url: PCefString; policy: TCefReferrerPolicy); stdcall;`
This item has no description.

| `get_referrer_url: function(self: PCefRequest): PCefStringUserFree; stdcall;`
This item has no description.

| `get_referrer_policy: function(self: PCefRequest): TCefReferrerPolicy; stdcall;`
This item has no description.

| `get_post_data: function(self: PCefRequest): PCefPostData; stdcall;`
This item has no description.

| `set_post_data: procedure(self: PCefRequest; postData: PCefPostData); stdcall;`
This item has no description.

| `get_header_map: procedure(self: PCefRequest; headerMap: TCefStringMultimap); stdcall;`
This item has no description.

| `set_header_map: procedure(self: PCefRequest; headerMap: TCefStringMultimap); stdcall;`
This item has no description.

| `get_header_by_name: function(self: PCefRequest; const name: PCefString): PCefStringUserFree; stdcall;`
This item has no description.

| `set_header_by_name: procedure(self: PCefRequest; const name, value: PCefString; overwrite: integer); stdcall;`
This item has no description.

| `set_: procedure(self: PCefRequest; const url, method: PCefString; postData: PCefPostData; headerMap: TCefStringMultimap); stdcall;`
This item has no description.

| `get_flags: function(self: PCefRequest): Integer; stdcall;`
This item has no description.

| `set_flags: procedure(self: PCefRequest; flags: Integer); stdcall;`
This item has no description.

| `get_first_party_for_cookies: function(self: PCefRequest): PCefStringUserFree; stdcall;`
This item has no description.

| `set_first_party_for_cookies: procedure(self: PCefRequest; const url: PCefString); stdcall;`
This item has no description.

| `get_resource_type: function(self: PCefRequest): TCefResourceType; stdcall;`
This item has no description.

| `get_transition_type: function(self: PCefRequest): TCefTransitionType; stdcall;`
This item has no description.

| `get_identifier: function(self: PCefRequest): UInt64; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.